Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "try-clothes",
    "input": {
      "model": "fashn-v1-6",
      "person_image": "https://example.com/person.jpg",
      "garment_image": "https://example.com/garment.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "try-clothes",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits15 credits
Tooltry-clothes

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYestry-clothes
input.modelstringYesfashn-v1-6
input.person_imagestringYesURL of the person photo
input.garment_imagestringYesURL of the garment photo
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "try-clothes",
    "input": {
      "model": "fashn-v1-6",
      "person_image": "https://example.com/person.jpg",
      "garment_image": "https://example.com/garment.jpg"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "try-clothes",
  "createdAt": "2024-01-15T10:30:00.000Z"
}